Skip to main content
GET
/
v1
/
carousel-generation
Get all carousel generation jobs for current user
curl --request GET \
  --url https://api.yalg.ai/v1/carousel-generation \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "018f9f45-23d1-7cb2-8f1f-87921d472a80",
    "postId": "018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f",
    "status": "completed",
    "currentStep": "render",
    "progress": 1,
    "createdAt": "2026-06-20T17:24:39.000Z",
    "updatedAt": "2026-06-20T17:24:39.000Z"
  }
]

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Query Parameters

page
number

Page number for paginated responses.

Example:

1

limit
number

Maximum number of items to return.

Example:

5

statuses
string

Comma-separated list of statuses to filter by

Example:

"CREATED,RUNNING,READY_FOR_VALIDATION,RENDERING,FAILED"

Response

Paginated list of carousel generation jobs

Carousel or carousel-generation job.

id
string<uuid>

Job identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

status
string
Example:

"pending"

currentStep
string
Example:

"draft_generation"

qualityScore
number
Example:

0.91

riskLevel
string
Example:

"low"

warnings
string[]
totalTokensUsed
integer
Example:

1284

startedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

completedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

postId
string<uuid>

Source post identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Generated carousel identifier, when created.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"